Scilab Function

union - extrait les composantes distinctes issues de l'union de deux vecteurs

### Calling Sequence

  `[v, [ka,kb]]=union(a,b)`
  ``

### Parameters

- `a, b, v` : vecteurs réels ou vecteurs de chaînes de caractères
- `ka, kb` : vecteurs lignes d'entiers

### Description

`union(a,b)` renvoie un vecteur contenant les valeurs distinctes (classées par ordre croissant) contenues dans les termes de `[a(:);b(:)]` .

`[v,ka,kb]=union(a,b)` renvoie aussi les vecteurs d'indices `ka` et `kb` tels que `v` est une combinaison triée des termes de `a(ka)` et `b(kb)` .

### Examples

    A=round(5*rand(10,1));
    B=round(5*rand(7,1));

    union(A,B)
    [N,ka,kb]=union(A,B)

    union('a'+string(A),'b'+string(B))

### See Also

`unique` , `sort` ,